SetResponse (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class SetResponse

- java.lang.Object
- - org.xbill.DNS.SetResponse

-     public class SetResponse
      extends Object

  The Response from a query to Cache.lookupRecords() or Zone.findRecords()
  Author:
    Brian Wellington
  See Also:
    `Cache`, `Zone`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RRset[]` | `answers()` If the query was successful, return the answers
    `CNAMERecord` | `getCNAME()` If the query encountered a CNAME, return it.
    `DNAMERecord` | `getDNAME()` If the query encountered a DNAME, return it.
    `RRset` | `getNS()` If the query hit a delegation point, return the NS set.
    `boolean` | `isCNAME()` Is the result of the lookup a CNAME?
    `boolean` | `isDelegation()` Is the result of the lookup that the name is below a delegation?
    `boolean` | `isDNAME()` Is the result of the lookup a DNAME?
    `boolean` | `isNXDOMAIN()` Is the answer to the query that the name does not exist?
    `boolean` | `isNXRRSET()` Is the answer to the query that the name exists, but the type does not?
    `boolean` | `isSuccessful()` Was the query successful?
    `boolean` | `isUnknown()` Is the answer to the query unknown?
    `String` | `toString()` Prints the value of the SetResponse

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isUnknown

          public boolean isUnknown()

      Is the answer to the query unknown?

    - #### isNXDOMAIN

          public boolean isNXDOMAIN()

      Is the answer to the query that the name does not exist?

    - #### isNXRRSET

          public boolean isNXRRSET()

      Is the answer to the query that the name exists, but the type does not?

    - #### isDelegation

          public boolean isDelegation()

      Is the result of the lookup that the name is below a delegation?

    - #### isCNAME

          public boolean isCNAME()

      Is the result of the lookup a CNAME?

    - #### isDNAME

          public boolean isDNAME()

      Is the result of the lookup a DNAME?

    - #### isSuccessful

          public boolean isSuccessful()

      Was the query successful?

    - #### answers

          public RRset[] answers()

      If the query was successful, return the answers

    - #### getCNAME

          public CNAMERecord getCNAME()

      If the query encountered a CNAME, return it.

    - #### getDNAME

          public DNAMERecord getDNAME()

      If the query encountered a DNAME, return it.

    - #### getNS

          public RRset getNS()

      If the query hit a delegation point, return the NS set.

    - #### toString

          public String toString()

      Prints the value of the SetResponse
      Overrides:
        `toString` in class `Object`